libetonyek::IWORKTable::Cell Struct Reference

## Public Member Functions
| Cell ()

## Public Attributes
IWORKOutputElements | m_content
unsigned | m_columnSpan
unsigned | m_rowSpan
bool | m_covered
IWORKFormulaPtr_t | m_formula
boost::optional< unsigned > | m_formulaHC
IWORKStylePtr_t | m_style
IWORKCellType | m_type
boost::optional< std::string > | m_value
boost::optional< IWORKDateTimeData > | m_dateTime

## Constructor & Destructor Documentation

## ◆ Cell()

libetonyek::IWORKTable::Cell::Cell | ( |  | ) |

## Member Data Documentation

## ◆ m_columnSpan

unsigned libetonyek::IWORKTable::Cell::m_columnSpan

Referenced by Cell().

## ◆ m_content

IWORKOutputElements libetonyek::IWORKTable::Cell::m_content

Referenced by Cell().

## ◆ m_covered

bool libetonyek::IWORKTable::Cell::m_covered

Referenced by Cell().

## ◆ m_dateTime

boost::optional<IWORKDateTimeData> libetonyek::IWORKTable::Cell::m_dateTime

Referenced by Cell().

## ◆ m_formula

IWORKFormulaPtr_t libetonyek::IWORKTable::Cell::m_formula

Referenced by Cell().

## ◆ m_formulaHC

boost::optional<unsigned> libetonyek::IWORKTable::Cell::m_formulaHC

Referenced by Cell().

## ◆ m_rowSpan

unsigned libetonyek::IWORKTable::Cell::m_rowSpan

Referenced by Cell().

## ◆ m_style

IWORKStylePtr_t libetonyek::IWORKTable::Cell::m_style

Referenced by Cell().

## ◆ m_type

IWORKCellType libetonyek::IWORKTable::Cell::m_type

Referenced by Cell().

## ◆ m_value

boost::optional<std::string> libetonyek::IWORKTable::Cell::m_value

Referenced by Cell().

The documentation for this struct was generated from the following files:

- IWORKTable.h
- IWORKTable.cpp